Roundup Tracker - Issues

Issue 1795256

classification
Title: wrap in multiline
Type: Severity: normal
Components: Web interface Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: jpend Nosy List: jpend, tmikk
Priority: normal Keywords:

Created on 2007-09-14 21:05 by tmikk, last changed 2007-09-17 14:48 by tmikk.

Files
File name Uploaded Description Edit Remove
dev-d25a5f8c16e2298c2e0526a9a1433b6810a78316.patch jpend, 2007-09-16 05:43 multiline patch
Messages
msg2480 Author: [hidden] (tmikk) Date: 2007-09-14 21:05
Justus, thanks for working on this,

Tonu

Tonu Mikk wrote:

> >  <th class="required" i18n:translate="">Summary</th>
> >     <textarea tal:replace="structure
> >         python:context.description.multiline(rows=5, cols=70)" />
> > 
> > When a user has only "view" rights to this field, the text does not wrap
> > in a browser.  Is there a way to re-write this so that users with "view"
> > rights would see the text wrapped?

Personally, I think that multiline would be better off returning a read-only
textarea than the <pre></pre> it does today; it would at least preserve the
layout of the page better. If you could file a Sourceforge bug and assign
it to me, it'll help me remember to make that change...provided there are
no objections.
msg2481 Author: [hidden] (jpend) Date: 2007-09-16 05:43
A version of multiline, fixed to allow what Richard suggested in the email thread, has been checked in to CVS. I've also attached the diff to this bug so Tonu can just apply it.
File Added: dev-d25a5f8c16e2298c2e0526a9a1433b6810a78316.patch
msg2482 Author: [hidden] (tmikk) Date: 2007-09-17 14:48
Justus,   thanks for this quick patch!  I applied it to my templating.py and tested it with my tracker.  The text still appeared in one long line for the user who only had view rights to the field.  I think this is because (as you so  mention earlier) that the text is displayed in <pre></pre> tags instead of in a text area.  The wrap keyword argument I think only applies to the textarea.  Would it be possible to return the text in a text area?

Thank you,
Tonu
History
Date User Action Args
2007-09-14 21:05:01tmikkcreate